<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Regul&auml;re Ausdr&uuml;cke POSIX</title>
<link rel="stylesheet" type="text/css" href="../src/self.css">
<meta name="description"    content="Funktions&uuml;bersicht, Regul&auml;re Ausdr&uuml;cke POSIX">
<meta name="keywords"       content="SELFPHP, PHP, Funktions&uuml;bersicht, Regul&auml;re Ausdr&uuml;cke POSIX">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-06T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsuebersicht/regulaere_ausdruecke_posix_funktionen.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-06T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../index.php // Funktions&uuml;bersicht == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../index.html"><b>SELFPHP</b></a>/<a href="../navigation/index.html">Navigationshilfen</a> 
      <img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Funktions&uuml;bersicht</b></a> </td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>Regul&auml;re Ausdr&uuml;cke POSIX</h2></td>
</tr>
<tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap> 
      <p> <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ereg"><b>ereg</b></a><br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ereg_replace"><b>ereg_replace</b></a><br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#eregi"><b>eregi</b></a><br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#eregi_replace"><b>eregi_replace</b></a><br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#split"><b>split</b></a><br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#spliti"><b>spliti</b></a><br>
        <img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#sql_regcase"><b>sql_regcase</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>


<h2 class="Sh2"><a class="an" name="ereg">ereg</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">int <b>ereg</b> (string Suchmuster, string Zeichenkette [, array regs])
 <br>(PHP 3, PHP 4 >= 4.0b1)
<br>Sucht nach Übereinstimmungen in einem String
<br><img src="../src/dok.gif" width="15" height="10" border="0">&nbsp;<a href="../funktionsreferenz/regulaere_ausdruecke_posix/ereg.html">Detailbeschreibung</a><br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="ereg_replace">ereg_replace</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">string <b>ereg_replace</b> (string Suchmuster, string Ersatz, string Zeichenkette)
 <br>(PHP 3, PHP 4 >= 4.0b1)
<br>Ersetzt eine Zeichenkette in einem String durch eine andere Zeichenkette
<br><img src="../src/dok.gif" width="15" height="10" border="0">&nbsp;<a href="../funktionsreferenz/regulaere_ausdruecke_posix/ereg_replace.html">Detailbeschreibung</a><br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="eregi">eregi</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">int <b>eregi</b> (string Suchmuster, string Zeichenkette [, array regs])
 <br>(PHP 3, PHP 4 >= 4.0b1)
<br>Sucht in einer Zeichenkette nach Übereinstimmungen
<br><img src="../src/dok.gif" width="15" height="10" border="0">&nbsp;<a href="../funktionsreferenz/regulaere_ausdruecke_posix/eregi.html">Detailbeschreibung</a><br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="eregi_replace">eregi_replace</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">string <b>eregi_replace</b> (string Suchmuster, string Ersatz, string Zeichenkette)
 <br>(PHP 3, PHP 4 >= 4.0b1)
<br>Ersetzt eine Zeichenkette durch einen Ersatz-Ausdruck
<br><img src="../src/dok.gif" width="15" height="10" border="0">&nbsp;<a href="../funktionsreferenz/regulaere_ausdruecke_posix/eregi_replace.html">Detailbeschreibung</a><br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="split">split</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">array <b>split</b> (string Suchmuster, string Zeichenkette [, int Beschränkung])
 <br>(PHP 3, PHP 4 >= 4.0b1)
<br>Zerlegt eine Zeichenkette anhand eines regulären Ausdrucks in ein Array
<br><img src="../src/dok.gif" width="15" height="10" border="0">&nbsp;<a href="../funktionsreferenz/regulaere_ausdruecke_posix/split.html">Detailbeschreibung</a><br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="spliti">spliti</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">array <b>spliti</b> (string Suchmuster, string Zeichenkette [, int Beschränkung])
 <br>(PHP 4 >= 4.0.1)
<br>Zerlegt eine Zeichenkette anhand eines regulären Ausdrucks in ein Array
<br><img src="../src/dok.gif" width="15" height="10" border="0">&nbsp;<a href="../funktionsreferenz/regulaere_ausdruecke_posix/spliti.html">Detailbeschreibung</a><br></td></tr></table><p>&nbsp;</p>
        <table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
        <a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
        </td></tr></table><h2 class="Sh2"><a class="an" name="sql_regcase">sql_regcase</a></h2><table width="100%" cellpadding=10><tr><td class="xmpcode" bgcolor="#E4EEFF">string <b>sql_regcase</b> (string Zeichenkette)
 <br>(PHP 3, PHP 4 >= 4.0b1)
<br>Erzeugt aus einer Zeichenkette einen regulären Ausdruck
<br><img src="../src/dok.gif" width="15" height="10" border="0">&nbsp;<a href="../funktionsreferenz/regulaere_ausdruecke_posix/sql_regcase.html">Detailbeschreibung</a><br></td></tr></table>
<p>&nbsp;</p>
        <table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="session_funktionen.html"><img src="../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="session_funktionen.html"><b>Session Funktionen</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="regulaere_ausdruecke_perl_kompatibel_funktionen.html"><img src="../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="regulaere_ausdruecke_perl_kompatibel_funktionen.html"><b>Regul&auml;re 
      Ausdr&uuml;cke Perl Kompatibel</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../index.html"><b>SELFPHP</b></a>/<a href="../navigation/index.html">Navigationshilfen</a> 
      <img src="../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Funktions&uuml;bersicht</b></a> </td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>